<template>
  <div>
    <h2>Gedeelde Trajecten</h2>
    <trajectory class="trajectory" v-for="trajectory in trajectories1"
                :key="trajectory.id"
                :data="trajectory"
                :name="''"></trajectory>
  </div>

</template>

<script>
import Trajectory from '@/components/UI/molecules/Trajectory.vue';
import { mapGetters } from 'vuex';

export default {
  name: 'TrajectoriesShared',
  components: { Trajectory },
  methods: {
    ...mapGetters('trajectories', ['trajectories']),
  },
  computed: {
    trajectories1() {
      return this.trajectories().filter((trajectory) => trajectory.shared === 1);
    },
  },
};
</script>

<style scoped>
  .trajectory{
    margin: 20px auto;
  }
  h2{
    margin: 40px 0 20px 0 ;
    font-family: 'Roboto', sans-serif;
    font-size: 2em;
    color: #3BB497;
    text-align: center;
  }
</style>
